****************************************************************************************************
*                                           PROGRAM OVERVIEW
****************************************************************************************************
*
* PROGRAM: ms_qrpe_initmacrovariables.sas  
*
* Created (mm/dd/yyyy): 02/01/2018
* Last modified:
* Version: 1.0
*
*--------------------------------------------------------------------------------------------------
* PURPOSE:
*   Utility macros used to initalize global macro variables                                        
*   
*  Program inputs:                                                                                   
*                                     
*  Program outputs:                                                                                                                                       
*                                                                                                  
*  PARAMETERS:    
*            
*  Programming Notes:                                                                                
*                                                                           
*
*--------------------------------------------------------------------------------------------------
* CONTACT INFO: 
*  Sentinel Coordinating Center
*  info@sentinelsystem.org
*
*--------------------------------------------------------------------------------------------------
*  CHANGE LOG: 
*
*   Version   Date       Initials      Comment (reference external documentation when available)
*   -------   --------   --------   ---------------------------------------------------------------
*
***************************************************************************************************;

*This macro is used to declare and initialize global macro variables;

%macro ms_qrpe_initmacrovariables();

	%put =====> MACRO CALLED: ms_qrpe_initmacrovariables v1.0;

	*Variables related to Group(s);
	%global Group;
	%let Group=1;
	%global Ngroup;
	%let Ngroup=1;
	%global ITGROUP;
	%let ITGROUP=;

	*Variables related to COHORTFILE parameters;
	%global DemogSex;
	%let DemogSex=;
	%global DemogRace;
	%let DemogRace=;
	%global DemogHispanic;
	%let DemogHispanic=;
	%global agestrat;
	%let agestrat=;
	%global EncCaresetting;
	%let EncCaresetting=;
	%global Truncyn;
	%let Truncyn=;

	*Variables related to covariates;
	%global NumCovars;
	%let NumCovars=0;
	%global NumComb;
	%let NumComb=0;

	*Variables related to inclusion/exclusion conditions;
	%global INCL;
	%let INCL=0;
	%global EXCL;
	%let EXCL=0;


	*Variables related to patients to exclude;
	%global PatIdExcl;
	%let PatIdExcl=No;
	%if %str("&PTSTOEXCLUDE.") ne %str("") %then %do;
		%let PatIdExcl=Yes;
	%end;

	*Variables related to monitoring period;
	%global startfollowup;
	%let startfollowup=.;
	%global enddate;
	%let enddate=.;
	%global numperiodid;
	%let numperiodid=.;

	*Variables related to HOI;
	%global NUM_HOI;
	%let NUM_HOI = 0;

	%put NOTE: ******** END OF MACRO: ms_qrpe_initmacrovariables v1.0 ********;

%mend ms_qrpe_initmacrovariables;
